Runtime

## org.eclipse.gmf.runtime.notation
Class Smoothness

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.Smoothness

All Implemented Interfaces:
  Enumerator

public final class Smoothness
extends AbstractEnumerator

A representation of the literals of the enumeration 'Smoothness', and utility methods for working with them.

See Also:
  `NotationPackage.getSmoothness()`
** Generated **
Model:

Field Summary
`static int` `LESS` The 'Less' literal value
`static Smoothness` `LESS_LITERAL` The 'Less' literal object
`static int` `MORE` The 'More' literal value
`static Smoothness` `MORE_LITERAL` The 'More' literal object
`static int` `NONE` The 'None' literal value
`static Smoothness` `NONE_LITERAL` The 'None' literal object
`static int` `NORMAL` The 'Normal' literal value
`static Smoothness` `NORMAL_LITERAL` The 'Normal' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Smoothness' enumerators

Method Summary
`static Smoothness` `get(int value)` Returns the 'Smoothness' literal with the specified integer value
`static Smoothness` `get(java.lang.String literal)` Returns the 'Smoothness' literal with the specified literal value
`static Smoothness` `getByName(java.lang.String name)` Returns the 'Smoothness' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `Smoothness.NONE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="None"

### NORMAL

    public static final int NORMAL

  The 'Normal' literal value.

  See Also:
    `Smoothness.NORMAL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Normal"

### LESS

    public static final int LESS

  The 'Less' literal value.

  See Also:
    `Smoothness.LESS_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Less"

### MORE

    public static final int MORE

  The 'More' literal value.

  See Also:
    `Smoothness.MORE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="More"

### NONE_LITERAL

    public static final Smoothness NONE_LITERAL

  The 'None' literal object.

  See Also:
    `Smoothness.NONE`
  ** Generated **
  Ordered:

### NORMAL_LITERAL

    public static final Smoothness NORMAL_LITERAL

  The 'Normal' literal object.

  See Also:
    `Smoothness.NORMAL`
  ** Generated **
  Ordered:

### LESS_LITERAL

    public static final Smoothness LESS_LITERAL

  The 'Less' literal object.

  See Also:
    `Smoothness.LESS`
  ** Generated **
  Ordered:

### MORE_LITERAL

    public static final Smoothness MORE_LITERAL

  The 'More' literal object.

  See Also:
    `Smoothness.MORE`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Smoothness' enumerators.

  ** Generated **

Method Detail

### get

    public static Smoothness get(java.lang.String literal)

  Returns the 'Smoothness' literal with the specified literal value.

  ** Generated **

### getByName

    public static Smoothness getByName(java.lang.String name)

  Returns the 'Smoothness' literal with the specified name.

  ** Generated **

### get

    public static Smoothness get(int value)

  Returns the 'Smoothness' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.